// NAVIGATION

header
	background-color body
	box-shadow 1px 1px 4px 0 rgba(0,0,0,.1)
	position fixed
	width 100%
	transition width 0.5s ease
	z-index 5
	.region-header
		.block-content
			.avatar
				display none
	.region-navigation
		margin 0
		padding 0
		list-style none
		overflow hidden
		background-color #fff
		clear both
		max-height 0
		transition max-height .2s ease-out
		nav
			ul
				padding 0
				margin-bottom 0
				li
					&.nav-item
						padding 0
						&.is-active-trail
							a
								color primary
						a
							font-family font-default-serif, font-family-serif
							text-decoration none
							padding 15px
							text-align left
							color text
							display block
							font-size 1.5rem
							// font-weight bold
							&:hover
								color text
							&:active,
							&.is-active
								color primary
	.menu-icon
		padding 35px 28px
		position relative
		float right
		cursor pointer
	.nav-icon
		background-color primary-dark
		border-radius 1px
		display block
		height 4px
		width 24px
		position relative
		transition background .2s ease-out
		&:before
			content ''
			background-color primary-dark
			border-radius 1px
			display block
			height 100%
			width 65%
			position absolute
			transition all .2s ease-out
			top 7px
		&:after
			content ''
			background-color primary-dark
			border-radius 1px
			display block
			height 100%
			width 100%
			position absolute
			transition all .2s ease-out
			top -7px
	.menu-button
		display none
		&:checked
			~ .region-navigation
				max-height 340px
				width 100%
			~ .menu-icon
				.nav-icon
					background transparent
					&:before
						transform rotate(-45deg)
						top 0
						width 100%
					&:after
						transform rotate(45deg)
						top 0

// +tablet()
// +between('s', 'xl')
+above('l')
	header
		box-shadow none
		.region-header
			display block
			.block-content
				display flex
				justify-content center
				align-items center
				width 200px
				height 200px
				.avatar
					display block
					width 120px
					.img
						max-width 175%
						left -50%
						top 0
		.region-navigation
			max-height none
			nav
				ul
					padding 0
					li
						&.nav-item
							padding 0
							a
								font-family font-default-serif, font-family-serif
								text-decoration none
								padding 10px 10px 10px 25px
								color text-light
								display block
								font-size 1.1rem
								line-height 1.2
								position relative
								&:before
									content ''
									height 100%
									top 0
									left 0
									width 5px
									background-color transparent
									position absolute
									display block
									transition all 0.6s ease
								&:hover
									color text
									&:before
										background-color text
								&:active,
								&.is-active
									color primary
									transition 0
									&:before
										background-color primary
							&.is-active-trail
								a
									color primary
									transition 0
									&:before
										background-color primary
							ul
								li
									a
										font-size 1rem
										padding-left 35px
		.menu-button,
		.menu-icon
			display none
		